 @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=.select-wrapper');

:root {
    --primary-color: #4e5358;
    --background-color: #f9f5f0;
    --dark-color: #151515;
}

html {
    font-size: 90.5%;
    font-family: 'Poppins', sans-serif;
    scroll-behavior:inherit;
      
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
    max-width: 120rem;
    margin: 0 70px;

}

.header1 {
    text-align: center;
    font-weight: 500;
    font-size: 3rem;

}

/* ********************************** */
/*               HEADER               */
/* ********************************** */

.container-hero {
    background-color: var(--background-color);
}

.hero {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8PX 0;

}

.customer-support {
    display: flex;
    align-items: center;
    gap: 2rem;
    font-size: 70.5%;
    margin-top: 30px;
}

.customer-support i {
    font-size: 2.3rem;

}

.content-customer-support {
    display: flex;
    flex-direction: column;
}

.container-logo {
    display: flex;
    align-items: center;
    gap: 0.5rem;

}

.container-logo i {
    font-size: 3rem;
}

.container-logo h1 a {
    text-decoration: none;
    color: #000;
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: -1px;
}

.container-user {
    display: flex;
    gap: 1rem;
    cursor: pointer;
    margin-top: 30px;
}

.container-user .fa-user {
    font-size: 3rem;
    color: var(--primary-color);
    padding-right: 2.5rem;
    border-right: 1px solid #e2e2e2;
}

.container-user .fa-basket-shopping {
    font-size: 3rem;
    color: var(--primary-color);
    padding-left: 1rem;
}

.content-shopping-cart {
    display: flex;
    flex-direction: column;
}

#logoimg {
    height: 100px;

}

.primary#cotizar {
    background-color: #3855b0;
}

.primary#cotizar:hover {
    background-color: #273c7d;
}
  /* Estilos para pantallas pequeñas */
  @media (max-width: 768px) {
    .container-hero {
      flex-direction: column; /* Cambia la dirección de la columna en pantallas pequeñas */
    }
  
    .customer-support,
    .container-user {
      display: none; /* Oculta los elementos en pantallas pequeñas */
    }
  
    .container-logo {
      text-align: center; /* Centra el logo en pantallas pequeñas */
    }
    #navPanelToggle{
        margin-top: 5px;
        color: white;
        font-size: 150%;
        text-shadow: 2px 2px 4px #000 ;
      }
  }

/* Others */

#header1 {
    background-color: rgb(255, 255, 255);
}

#nav {
    background-color: #4e5358;
}

#sec1 {
    background-color: #1e252d;
}




/* ********************************** */
/*              FOOTER               */
/* ********************************** */

footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: #4e5358;
    /* Color de fondo del footer, ajusta según tu diseño */
    padding: px;
    /* Ajusta el espaciado interior según tus necesidades */
    color: #fff;
    /* Color del texto, ajusta según tu diseño */
    text-align: center;
    /* Centra el texto en cada sección del footer */
}

.footer-section {
    flex: 1;
    text-align: left;
    /* Alinea el texto a la izquierda dentro de cada sección */
    padding: 30px;
    /* Ajusta el espaciado interno según tus necesidades */
}

.logofooter {
    width: 250%;
    /* Ajusta el ancho de la imagen según tus necesidades */
    max-width: 250px;
    /* Ancho máximo para evitar que la imagen sea demasiado grande en dispositivos grandes */
    height: 90%;
    /* Para mantener la proporción de la imagen */
}

.footer-section a {
    color: #fff;
    /* Color de los enlaces, ajusta según tu diseño */
    text-decoration: none;
}

.icons.alt {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

.icons.alt li {
    margin: 0 5px;
    /* Ajusta el espaciado entre los iconos según tus necesidades */
}

@media (max-width: 768px) {
    footer {
        flex-direction: column;
        align-items: center;
    }

    .footer-section {
        flex: 1;
        text-align: center;
        padding: 20px;
    }

    .footer-section:not(:last-child) {
        margin-bottom: 20px;
    }

    .logofooter {
        width: 100%;
        max-width: none;
    }
}


/* ********************************** */
/*              SECCIONES               */
/* ********************************** */

/* Seccion Banner */
ul li a {
    text-decoration: none; /* Elimina la decoración del subrayado */
    color: white;
  }
  
.banner#contacto-seccion {
    background-image: linear-gradient(100deg, #1612224e, #11102ada),
        url('../images/bganner6.png');
    height: 50rem;
    background-size: cover;
    background-position: center;

}

h2#title {
    font-size: 45px;
}


.content-banner h2 {
    color: #fff;
    font-size: 3.5rem;
    font-weight: 500;
    line-height: 1.2;

}

.content-banner a {
    margin-top: 2rem;
    text-decoration: none;
    color: #fff;
    background-color: var(--primary-color);
    display: inline-block;
    padding: 1rem 3rem;
    text-transform: uppercase;
    border-radius: 3rem;
}

#contacto-seccion {
    display: flex;
    align-items: center;
    padding: 60px;
    padding-top: 20px;
    background-color: #1e252d;
    height: 600px;
}

.imagen-container {
    flex: 1.5;
    margin-left: 50px;
   text-align: right;
}
.imagen-container{
    transform: translateX(-100%);
    animation: slideInFromLeft .7s ease-in-out forwards;
}
@keyframes slideInFromLeft {
    from {
        transform: translateX(-100%);
    }
    to {
        transform: translateX(0);
    }
}
.actions{
float: right;}

.imagen-contacto {
    width: 70%;
    max-width: 600px;
    /* Ajusta el tamaño de la imagen según sea necesario */
    border-radius: 8px;
    /* Bordes redondeados para la imagen */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* Sombra para la imagen */
    animation: imagenAnimacion 1s ease-in-out infinite alternate;
    /* Animación */
}

.contenido-contacto {
    flex: 1;
    padding-left: 100px;
    padding-right: 50px;
    /* Espaciado entre la imagen y el contenido */
  
}
.imagen-contacto{
    transform: translateY(100%);
    animation: slideInFromBottom .7s ease-in-out forwards;
}
@keyframes slideInFromBottom {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}

h2 {
    color: #fff;
    font-size: 2.5rem;
    font-weight: 500;
    line-height: 1.2;
}

p {
    color: #f7f7f7;
    margin-bottom: 20px;
}


/* Color normal del botón */
.button.primary#contactanos {
    background-image: linear-gradient(100deg, #fffb00, #ffae00);
    color: rgb(0, 0, 0);
    border-radius: 5px;
}
.button.primary a {
color: #000; }

.button.primary#contactanos:hover {
    background-image: linear-gradient(100deg, #ff7300, #ffea00);
}
.primary#cotizar{
    background-color: #3855b0;
}

.primary#cotizar:hover {
    background-color: #273c7d;
}
.boton-contacto:hover {
    background-color: rgb(255, 255, 255);
}

.primary#cotizar {
    background-color: #3855b0;
}

.primary#cotizar:hover {
    background-color: #273c7d;
}





/* Consulta de medios para dispositivos pequeños */
@media only screen and (max-width: 767px) {
    .banner {
        padding: 0;
        text-align: left;
        flex-direction: column; /* Cambia la dirección a column para dispositivos pequeños */
  }

    .imagen-container {
        padding: 0;
        text-align: left;
        margin-left: -0px;

    }
    h2#title{
        font-size: 250%;
    }

    .contenido-contacto, .imagen-contacto{
        content: none;
        flex-direction: row;
    }

    .imagen-contacto {
        width: 100%; /* Ajusta el ancho según tus necesidades */
        max-width: 242px;
        min-width: 164px;
        flex-direction: row;
    }

   
    
        .imagen-container {
            order: 2; /* Cambia el orden para que aparezca debajo del texto */
        }
    
        .contenido-contacto {
            order: 1; /* Cambia el orden para que aparezca encima del texto */
        }
      
    }


     
/* Seccion Quienes Somos */
.seccion1#proyecto2{
    background-image: linear-gradient(100deg, #3238912e, #11102a42),
        url('../images/banner7.png');
    
 }
 @media only screen and (max-width: 767px) {
    .seccion1#proyecto2{
        min-height: -60em;} 


.seccion1#proyectos2{
height: auto;
padding: 0;
} 
 
    }



.seccion1#proyecto3 {
    margin-top: -90px;
    background-image: linear-gradient(100deg, #ffffff4d, #fdfdfd73),
        url('../images/banner8.png');
        clip-path: polygon(0 12%, 100% 0%, 100% 100%, 0 100%);
    padding-top: 40px;

}
.seccion1#proyecto4 {
    clip-path: polygon(0 12%, 100% 0%, 100% 100%, 0 100%);
    background-image: linear-gradient(100deg, #3238912e, #11102a42),
        url('../images/banner7.png');
    padding-top: 40px;
    margin-top: -70px;

}

.right-column#d2{
    display: flex;
    gap: 10px; /* Ajusta según el espacio deseado entre las imágenes */
    padding: 0;
}

.left-column#d2{
    padding-left: 30px;
}
#image1,
#image2 {
    max-width: 50%; /* Hace que las imágenes sean responsivas */
}



.container#sec1 {
    display: flex;
    padding: 20px;
    background-color: #6a292900;
    padding-left: 200px;
    padding-right: 10px;
}
.container#sec1{
    margin-bottom: 50PX;
}
 .container#sec4{
    padding-bottom: 50PX;
 }

 .container#sec3{
    padding-bottom: 50PX;
 }


.left-column {
    width: 35%;
    justify-content: right;
}

  
  .service-list {
    list-style: none;
    padding: 0;
  }
  
  .service-list li {
    margin-bottom: 10px;
  }
  
  .service-list a {
    text-decoration: none;
    background-color: #9a9a9a77;
    color: #ffffff;
    display: block;
    padding: 8px;
    border-radius: 5px;
    transition: background-color 0.3s ease;
  }
  
  .service-list a:hover {
    background-color: #eee;
  }
  #img{
    width: 60%;
    max-width: 60%;

  }
  

/* Estilos para pantallas grandes */
.container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .left-column,
  .right-column {
    flex: 1;
  }
  
  /* Estilos para pantallas pequeñas */
  @media (max-width: 768px) {
.seccion1#proyecto2{
    flex-direction: row;
    background-position: center;
    background-size: cover;
}




.seccion1#proyecto3{
    flex-direction: row;
    margin-bottom: -90px;
    background-position: center;
    background-size: cover;
}


.left-column#d2{
    width: 600px;
    align-items: center;
    text-align: center;
    margin-left: -40px;
}

.seccion1#proyecto4{
    flex-direction: row;
    background-position: center;
    background-size: cover;

}



    .container {
      flex-direction: column; /* Cambia la dirección de la columna */
      text-align: center; /* Centra el contenido en pantallas pequeñas */
      padding: 0; /* Quita el padding en pantallas pequeñas */
      height: auto;
    }
  
    .left-column,
    .right-column {
      width: 100%; /* Ocupa todo el ancho en pantallas pequeñas */
      margin-bottom: 20px; /* Espacio entre las columnas */
    }

    .container#sec2 {
        flex-direction: column; /* Cambia la dirección de la columna */
        text-align: center; /* Centra el contenido en pantallas pequeñas */
        padding: 0; /* Quita el padding en pantallas pequeñas */
        height: auto;
        margin-left: 0px;
      }

    .container#sec1 {
        padding: 20px;
        padding-left: -200px;
        padding-right: -10px;
    }
    .service-list a:hover {
        color: #eee;
      }
  }
  
  



h1#title {
    color: #fff;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    font-size: 50px;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

ul {
    list-style-type: disc;
    /* Estilo de lista con puntos */
}

ul#somos li {
    color: #ffffff;
    line-height: 1.8;
}



/* Seccion 2 */
h1#title1 {
    color: #6f1839;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    font-size: 50px;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.seccion2 {
    background-image: linear-gradient(100deg, #16122200, #11102a00),
        url('../images/banner2.png');
    /* height: rem; */
    background-size: cover;
    background-position: center;
}

  
.service-list2 {
    list-style: none;
    padding: 0;
  }
  
  .service-list2 li {
    margin-bottom: 10px;
  }
  .container#sec2{
    padding-left: 50px;
  }
.right-column#d2{
    margin-left: 150px;
    padding-left: 150px;
}
  .service-list2 a {
    text-decoration: none;
    background-color: #6f1839;
    color: #ffffff;
    display: block;
    padding: 8px;
    border-radius: 5px;
    transition: background-color 0.3s ease;
  }
  
  .service-list2 a:hover {
    background-color: #881d46e4;
  }

  h2#div2 {
    color:  #6f1839;
  }

.bottom-container{
    margin-top:  -100px;
    padding-left: 70px;
    padding-right: 70px;
    }

.bottom-container {
    display: flex;
    justify-content: space-between;
    background-color: #d9d9d900;
    text-align: center;

}

.bottom-column {
    display: inline-block;
	width: 30%;
	height: 100%;
    background-image: linear-gradient(100deg, #8f0c0c, #ff3838);
	border-bottom: 15px solid #ffffff;
	text-align: center;
	transition: all 0.25s;
    border-radius: 5px;
    
}
.bottom-column:hover {
	background: #ff8d14;
    transition: all ;
	transform: rotateY(360deg);
    min-height: 50px;
    height: auto;
    
}
.bottom-column:hover svg{
	transition: all;
	transform: rotateY(360deg);
}

.valores-img {
   
    padding-top: 15px;
    width: 20%;
    max-width: 100%;
    height: auto;
   
}
h3 {
    margin-top: 10px;
    color: #ffffff;
}

p {
    color: #ffffff;
}


  .bottom-column:hover .valores-text {
    display: block;
    text-align: left;
    padding-left: 20px;
    padding-right: 20px;
    text-align: justify;
/*    line-height: 1;*/
    font-size: 80%;
  }
 

.bottom-container:hover .bottom-container {
height: auto;
}

@media (max-width: 768px) {
    .seccion1#proyecto2 .bottom-container {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    .seccion1#proyecto2 {
padding-top: 10%;
      }
      .bottom-section{
        padding: 0;
      }
    .seccion1#proyecto2 .bottom-column {
      width: 130%;
      margin-bottom: 10px;
      
    }
    .valores-img { 
       padding: 0;
       margin-bottom: -12px; 
       margin-top: 3px;
    }

    .seccion1#proyecto2 .valores-img {
        width: 10%; /* Hace que la imagen ocupe el 100% del ancho del contenedor padre */
        height: auto; /* Mantiene la proporción original */
      }
    .valores-img#vision { 
        
        margin-bottom: -20px; 
        
           }

    .titulos{
        margin-bottom: -4px;
    }
}

  

/* New valores */
.sepa1{
    @media (max-width: 768px) {
    
        padding-top: 40px;
    }
}

h1.sepa2{
    color: #000;
    @media (max-width: 768px) {
    
        padding-top: 40px;
    }
}

h1.pfv#title{
    color: #891c40;
}
h2#sp2{
    color: #891c40;
}